Bug 738053 - ipa-ldap-updater : Not an end user utility and the man pages should reflect this
Summary: ipa-ldap-updater : Not an end user utility and the man pages should reflect this
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 18:21 UTC by Jenny Severance
Modified: 2015-01-04 23:51 UTC (History)
2 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-09-13 18:21:35 UTC
Description of problem:
ipa-ldap-updater utility is used during upgrading the ipa server and is not a utility that should be used by an end user.  The utility is available to them, but nothing in the man pages warns the user not to run it and what it is used for.

Please update the man page accordingly.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rob Crittenden 2011-09-13 19:19:25 UTC
https://fedorahosted.org/freeipa/ticket/1792

Comment 4 Jenny Severance 2011-10-26 15:45:23 UTC
verified:

<snip>
DESCRIPTION
       ipa-ldap-updater  is  used  to  apply  updates  to  the  IPA  LDAP  server when the IPA packages are being updated. It is not intended to be executed by
       end-users.

</snip>

version:
ipa-server-2.1.3-3.el6.x86_64

Comment 6 Martin Kosek 2011-11-01 11:25:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 7 errata-xmlrpc 2011-12-06 18:31:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.